package com.idea.customerManagement.service;

import cn.hutool.core.util.IdUtil;
import com.idea.customerManagement.mapper.CustomerManagementMapper;
import com.idea.customerManagement.model.CustomerManagement;
import com.idea.customerManagement.model.CustomerManagementExample;
import com.rockstar.common.base.BaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CustomerManagementService implements BaseService<CustomerManagement, CustomerManagementExample> {


    @Autowired
    private CustomerManagementMapper modelMapper;

    @Override
    public int deleteByPrimaryKey(String s) {
        return modelMapper.deleteByPrimaryKey(s);
    }

    @Override
    public int insertSelective(CustomerManagement customerManagement) {
        customerManagement.setId(IdUtil.simpleUUID());
        return modelMapper.insertSelective(customerManagement);
    }

    public int insertWithOutId(CustomerManagement customerManagement) {
        return modelMapper.insert(customerManagement);
    }

    @Override
    public CustomerManagement selectByPrimaryKey(String s) {
        return modelMapper.selectByPrimaryKey(s);
    }

    @Override
    public int updateByPrimaryKeySelective(CustomerManagement customerManagement) {
        return modelMapper.updateByPrimaryKeySelective(customerManagement);
    }

    @Override
    public int updateByExampleSelective(CustomerManagement customerManagement, CustomerManagementExample customerManagementExample) {
        return modelMapper.updateByExampleSelective(customerManagement,customerManagementExample);
    }

    @Override
    public int updateByExample(CustomerManagement customerManagement, CustomerManagementExample customerManagementExample) {
        return modelMapper.updateByExample(customerManagement,customerManagementExample);
    }

    @Override
    public List<CustomerManagement> selectByExample(CustomerManagementExample customerManagementExample) {
        return modelMapper.selectByExample(customerManagementExample);
    }

    @Override
    public long countByExample(CustomerManagementExample customerManagementExample) {
        return modelMapper.countByExample(customerManagementExample);
    }

    @Override
    public int deleteByExample(CustomerManagementExample customerManagementExample) {
        return modelMapper.deleteByExample(customerManagementExample);
    }
}
